Show an Opportunity
curl --request GET \
--url https://public-api.stora.co/2025-09/opportunities/{opportunity_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.stora.co/2025-09/opportunities/{opportunity_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.stora.co/2025-09/opportunities/{opportunity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"opportunity": {
"id": "opp_127b3057d5df338e",
"archived_at": null,
"associated_at": null,
"contact": {
"id": "con_1234567890abcdef"
},
"created_at": "2025-02-22T14:41:00Z",
"creator": {
"id": "con_1234567890abcdef"
},
"deal": null,
"line_items": [
{
"item": {
"id": "plvl_e8f3ad0a07e47566"
},
"quantity": 1,
"type": "protection"
},
{
"item": {
"id": "utype_f18fc91387cdf710"
},
"quantity": 1,
"type": "unit_type"
}
],
"metadata": {},
"site": {
"id": "site_14b419f1096013f1"
},
"source": "price_reveal",
"status": "open",
"updated_at": "2025-02-22T14:41:00Z"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}Opportunities
Show an Opportunity
Retrieve a specific opportunity by its ID.
Required authorization scope: public.opportunity:read
GET
/
2025-09
/
opportunities
/
{opportunity_id}
Show an Opportunity
Authorizations
BearerOAuth2
Bearer Token necessary to use API
Path Parameters
The ID of the opportunity to retrieve
Query Parameters
This endpoint supports expandable responses. For more, see the documentation page.
Was this page helpful?